List push notification channels
curl --request GET \
--url https://api.sendrealm.com/push/apps/{id}/notification-channels \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/apps/{id}/notification-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/apps/{id}/notification-channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"channel_id": "<string>",
"name": "<string>",
"description": "<string>",
"importance": "<string>",
"sound": "<string>",
"vibration": true,
"led_color": "<string>",
"lockscreen_visibility": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Push Notifications
List Push Notification Channels
List notification channels synchronized for a push app.
GET
/
push
/
apps
/
{id}
/
notification-channels
List push notification channels
curl --request GET \
--url https://api.sendrealm.com/push/apps/{id}/notification-channels \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/apps/{id}/notification-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/apps/{id}/notification-channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"channel_id": "<string>",
"name": "<string>",
"description": "<string>",
"importance": "<string>",
"sound": "<string>",
"vibration": true,
"led_color": "<string>",
"lockscreen_visibility": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<string>",
"issues": [
{
"code": "<string>",
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Public push app ID, device installation ID, or UUID resource ID.